Index: kernel/db/cat_event_handler.php
===================================================================
--- kernel/db/cat_event_handler.php	(revision 14007)
+++ kernel/db/cat_event_handler.php	(working copy)
@@ -2442,19 +2442,21 @@
 
 		// send email events
 		$perm_prefix = $this->Application->getUnitOption($event->Prefix, 'PermItemPrefix');
+		$owner_field = $this->getOwnerField($event->Prefix);
+		$owner_id = $object->GetDBField($owner_field);
+
 		switch ($event->Name) {
 			case 'OnCreate':
 				$event_suffix = $is_active ? 'ADD' : 'ADD.PENDING';
-				$owner_field = $this->getOwnerField($event->Prefix);
-
 				$this->Application->EmailEventAdmin($perm_prefix.'.'.$event_suffix); // there are no ADD.PENDING event for admin :(
-				$this->Application->EmailEventUser($perm_prefix.'.'.$event_suffix, $object->GetDBField($owner_field));
+				$this->Application->EmailEventUser($perm_prefix.'.'.$event_suffix, $owner_id);
 				break;
 
 			case 'OnUpdate':
 				$event_suffix = $is_active ? 'MODIFY' : 'MODIFY.PENDING';
+				$user_id = is_numeric( $object->GetDBField('ModifiedById') ) ? $object->GetDBField('ModifiedById') : $owner_id;
 				$this->Application->EmailEventAdmin($perm_prefix.'.'.$event_suffix); // there are no ADD.PENDING event for admin :(
-				$this->Application->EmailEventUser($perm_prefix.'.'.$event_suffix, $object->GetDBField('ModifiedById'));
+				$this->Application->EmailEventUser($perm_prefix.'.'.$event_suffix, $user_id);
 				break;
 		}
 	}
Index: kernel/utility/email_send.php
===================================================================
--- kernel/utility/email_send.php	(revision 13936)
+++ kernel/utility/email_send.php	(working copy)
@@ -1090,6 +1090,10 @@
 				$params = Array ();
 			}
 
+			if ( $this->Application->isDebugMode() ) {
+				$this->Application->Debugger->appendTrace();
+			}
+
 			trigger_error('mail error: '.vsprintf($error_msgs[$code], $params), $fatal ? E_USER_ERROR : E_USER_WARNING);
 
 			return false;
